Trusted by the world’s leading companies
Angular Data Grid の概要
Angular Grid は、データを表形式で表示するための機能豊富なデータグリッドコンポーネントです。データバインディング、編集、Excelライクなフィルタリング、カスタムソート、グループ化、行の並べ替え、行と列の固定、行の集計、Excel、CSV、PDF形式へのエクスポートなど、幅広い機能を備えています。
Syncfusion Essential Studio® Angular Data Grid を選ぶ理由
高いパフォーマンス
綿密に検討された工夫と高速な パフォーマンス に重点を置き、数百万件のレコードをわずか1秒で読み込みます。
シームレスなデータバインディング
データマネージャーの助けを借りて、JSON、OData、WCF、RESTful Webサービスなど、さまざまなローカルおよびリモートデータソースとのデータバインディングをシームレスに行えます。
あらゆる解像度に対応
データグリッドは、高い応答性を持つレイアウトと、デスクトップ、タッチスクリーン、スマートフォン向けに最適化されたデザインを特徴としています。iOS、Android、Windows OSを使用するすべての携帯電話でうまく機能します。
柔軟な編集
Angular Grid は、データマネージャーの助けを借りて、ビジネスオブジェクトのリストまたはリモートデータサービスを使用して、作成、読み取り、更新、および削除操作(CRUD)をより簡単に行うことができます。
独自のテンプレートデザインを作成
幅広いテンプレートオプションを使用して、アプリケーションのニーズに基づいてAngular Grid でカスタムユーザーエクスペリエンスを作成できます。
魅力的なカスタマイズ可能なテーマ
Fluent、Tailwind CSS、Bootstrap、Material、Fabric など、5つ以上の組み込みテーマを備えた最先端のデザインです。オンラインの Theme Studio ツールを使用して、テーマを簡単にカスタマイズできます。
簡単なエクスポートと印刷
データグリッドを Excel、PDF、CSVなどのさまざまなファイル形式でエクスポートできます。ページ数に関係なくすべての行と現在表示されているページを印刷することも可能です。
グローバル化とローカライズ
日付、通貨、数字の書式設定を好みに合わせて調整することで、さまざまなロケールのユーザーが使用できるようにします。
AI-Ready Grid エンタープライズデータ分析のために
Angularアプリで、AI強化のために設計されたDataGridを使用してデータ分析を加速します。セマンティック検索と異常検出を簡単に組み込み、よりスマートなデータワークフローを実現します。
-
セマンティック検索: 自然言語処理(NLP)モデルを使用して、ユーザーが日常的なフレーズで検索できるようにし、使いやすさを向上させ、正確なキーワードを必要としません。
- セマンティック検索を追加する方法を見る
-
異常検出: 機械学習(ML)ツールを追加して、データの異常を強調し、自動的に一貫性を確保します。 異常検出を追加する方法を見る
- 異常検出を追加する方法を見る
Angular Data Grid コード例
以下の HTML および TS コードの数行で、Angular Data Grid を簡単に使い始めることができます。また、Angular で Data Grid をレンダリングおよび構成する方法を示す Angular Data Grid の例も参照してください。
<div class="control-section">
<ejs-grid [dataSource]='data' height='350'>
<e-columns>
<e-column field='OrderID' headerText='Order ID' width='120' textAlign='Right'/>
<e-column field='CustomerName' headerText='Customer Name' width='150'/>
<e-column field='OrderDate' headerText='Order Date' width='130' format="yMd" textAlign='Right'/>
<e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right'/>
<e-column field='ShippedDate' headerText='Shipped Date' width='130' format="yMd" textAlign='Right'/>
<e-column field='ShipCountry' headerText='Ship Country' width='150'/>
</e-columns>
</ejs-grid>
</div>import { Component, OnInit } from '@angular/core';
import { orderDetails } from './data';
@Component({
selector: 'ej2-grid-container',
templateUrl: 'default.html'
})
export class DefaultComponent implements OnInit {
public data: Object[] = [];
ngOnInit(): void {
this.data = orderDetails;
}
}
スケルトンローディングインジケーター
Data Grid は、最初のレンダリング、更新時、またはソート、フィルタリング、グループ化などのグリッドアクションの実行後にデータをフェッチしてグリッドにバインドする際に、ローディングインジケーターとしてシマー効果を表示します。データグリッドは、スピナーとシマーの2種類のローディングインジケーター効果を提供します。
アダプティブ UI レイアウト
Data Grid のユーザーインターフェースは、小さな画面での優れた表示と使いやすさのためにカスタマイズおよび再設計されています。フィルタ、ソート、検索、列選択、列メニュー、ページャードロップダウン、編集ダイアログなどの機能は、画面サイズに適応し、行要素を垂直方向にレンダリングします。

列
列は、Data Grid のデータソースのスキーマを定義します。書式設定、列の自動生成、列定義、行と列の固定、列のスパン、テキストラッピング、列選択、列メニューなどの機能をサポートしています。
ページング
ページングは、割り当てられたデータソースからデータのセグメントを表示するために使用されます。Angular Data Grid は、組み込みのページャー UI を提供し、その UI 全体をカスタマイズするオプションも備えています。また、リモート Web サービスからのデータ取得を効率的に行うためのオンデマンドページングモードも備えています。


ソート
ヘッダーを単にクリックするだけで、行を昇順または降順で列に対してソートできます。Ctrl キーを押しながらヘッダーをクリックすると、複数の列のデータをソートできます。さらに、アプリケーションのニーズに基づいて独自のカスタムソートロジックを定義できます。
フィルタリング
フィルタリングは、データグリッドで特定の基準を満たすレコードを表示するのに役立ちます。データグリッドは、強力な Excel ライクなフィルターを含むさまざまなフィルタータイプをサポートしています。適切なフィルタータイプを選択し、独自のカスタムフィルタリングロジックを定義し、アプリケーションのニーズに基づいてフィルタリング UI をカスタマイズできます。ダイアクリティカル文字もフィルタリングできます。


選択
チェックボックスまたはクリックするだけで行やセルを選択できます。Ctrl、Shift、Command キーを押しながら、またはプログラムで複数の行やセルを選択できます。
編集
Angular Data Grid は、作成、読み取り、更新、削除操作 (CRUD) をサポートしています。特定の列値を編集するための組み込みエディターコンポーネントに加えて、アプリケーションのニーズに応じてテンプレートを使用してカスタムエディターコンポーネントを作成できます。データマネージャーを使用すると、配列コレクションまたはリモートデータサービスで編集操作を実行できます。


グループ化
行をグループ化して、整理された階層構造でデータを昇順または降順で表示し、レコードの展開と折りたたみを容易にします。インタラクティブなドロップ領域にその列をドラッグアンドドロップするだけで、目的の列のレコードをグループ化するオプションもあります。
集計
要約オプションを使用して、Data Grid の列値の集計を簡単に視覚化できます。集計は、個々の要約行、個々のグループ要約行、またはグループキャプション行に値を表示するようにカスタマイズできます。

固定行と固定列
固定行と固定列は、それぞれ上部、左、右、両方、または固定位置に表示され、残りのグリッドコンテンツはスクロール可能です。この機能は、主にセル値を比較するために使用されます。
スティッキーヘッダー
Angular Data Grid のヘッダーは、列ヘッダーとともにグリッドコンテンツを視覚化するために、ドキュメントを垂直方向にスクロールするときに固定位置にある必要があります。

行のドラッグ & ドロップ
Angular Grid は、ユーザーが他の Data Grid またはカスタムコンポーネントに行をドラッグアンドドロップできるようにします。ユーザーは、ドラッグアイコンを使用して同じ Data Grid 内で行をドラッグアンドドロップしたり、異なるグループ間で相互に移行することもできます。
マスター・ディテール・グリッド
Angular マスター・ディテール・グリッドは、レコードの詳細を特定の行をクリックすることで別のデータグリッドで表示するユースケースシナリオです。


状態管理
Angular Data Grid コンポーネントの状態管理機能を使用すると、ブラウザの更新後や同じブラウザセッション内で別のページに移動した場合でも、グリッドの状態を維持できます。この機能は、ページのリロード後もグリッドの構成とデータを保持するのに特に役立ちます。
ライブアップデート
Data Grid は、特定の時間間隔でセル内のライブデータを更新します。これらの更新は、ラグや速度低下を引き起こすことなく行われ、システムが非常に応答性が高く効率的であることを保証します。

その他の機能

クリップボードにコピー
クリップボードを使用すると、選択した行またはセルからデータをコピーできます。Ctrl+C と Ctrl+Shift+H のキーの組み合わせは、それぞれヘッダーありとなしでデータをコピーします。

コンテキストメニュー
セル、ヘッダー、またはページャーを右クリックすると表示されるポップアップメニューを使用して、Data Grid でさまざまなアクションを実行します。組み込みのデフォルトメニュー項目に加えて、カスタムコンテキストメニュー項目を追加できます。

幅と高さ
データグリッドのサイズを変更するには、width および height プロパティを設定します。コンテンツがグリッド要素に収まらない場合、水平および垂直スクロールバーが表示されます。データグリッドの親コンテナいっぱいに表示するには、height と width を 100% に設定するだけです。

スタックヘッダー
スタックヘッダーにより、列ヘッダーをスタックされた方法でグループ化して視覚化できます。スタックできる列の数に制限はありません。列がスタックされていても、すべての Data Grid アクションを実行できます。
アクセシビリティ

キーボードナビゲーション
Angular Grid コンポーネントは、すべてのセルにキーボードでアクセスできるようにします。ソート、選択、編集などの主要な機能は、キーボードコマンドのみで実行できます。マウス操作は必要ありません。これにより、このコンポーネントを使用して高度なアクセシビリティを持つアプリケーションを作成することができます。

スクリーンリーダー
Angular Data Grid ビューは、完全な WAI-ARIA アクセシビリティをサポートしています。その UI には高コントラストの視覚要素が含まれており、視覚障害のある人が最良の視聴体験を得るのに役立ちます。また、有効な UI 説明は、スクリーンリーダーなどの支援技術を介して簡単にアクセスできます。

右から左(RTL)
右から左へのレンダリングにより、Data Grid のテキストとレイアウトを右から左に表示できます。これにより、RTL 言語のユーザーエクスペリエンスとアクセシビリティが向上します。
モバイルに最適化され、タッチフレンドリー
Data Grid コンポーネントは、使いやすさを向上させ、iOS、Android、Windows を含むすべてのオペレーティングシステムで、デスクトップ、タッチスクリーン、電話向けに最適化された応答性の高いデザインを提供します。

タッチサポート
ユーザーフレンドリーなタッチジェスチャーとインタラクティブな UI デザインが最高のユーザーエクスペリエンスを提供します。すべての Data Grid 機能は、ゼロコンフィグレーションでタッチデバイスで動作します。

レスポンシブページャー
Data Grid のページャーはインテリジェントに動作し、そのディメンションに基づいて完全に UI を応答的に変更します。最適化されたデザインは、さまざまなデバイスで最高の UI インタラクションを提供します。
Angular バージョンの互換性
Angular のバージョンが継続的に改善される中、Angular Data Grid は、バージョン4から最新バージョンまで互換性を持つように常に最新の状態に保たれています。

その他のサポートされるフレームワーク
Data Grid は、Blazor、React、JavaScript、および Vue フレームワークで利用できます。以下のリンクから、プラットフォーム固有のオプションをご覧ください。
サポートされるブラウザ
Angular Data Grid は、Chrome、Firefox、Edge、Safari、Operaを含むすべての最新のWebブラウザでうまく動作します。

150+ 以上のAngular UIコンポーネント
よくある質問
なぜ Syncfusion Essential Studio® Angular Data Grid を選ぶべきですか?
Syncfusion Data Grid は、以下の機能を提供する最高の Angular Data Grid です。
数百万件のレコードをわずか1秒で読み込みます。
- あらゆる解像度に対応するモバイルファーストデザイン。
JSON、RESTful サービス、OData サービス、WCF サービスなどのローカルおよびリモートデータソースを使用できる柔軟なデータバインディング。
標準で提供されるExcelライクなフィルタリングおよびグループ化オプション。
PDF、CSV、Excel などのシームレスなデータエクスポートオプション。
- ソフトウェアと対話するための機能豊富な UI を提供する市場で最高の Angular Data Grid の一つ。
シンプルな構成と API。
- すべての最新ブラウザをサポート。
デモ、ドキュメント、ビデオなどの豊富な学習リソースで、Angular Data Grid をすぐに学び、使い始めることができます。
Syncfusion Angular Data Grid の価格はいくらですか?
Angular Data Grid は単体では販売していません。Syncfusion チームライセンスの一部としてのみ購入可能です。これには、Angular Data Grid を含む 1,600 以上のコンポーネントとフレームワークが含まれています。チームライセンスの価格は、開発者5人で月額395ドルからで、サブスクリプションの有効期限までサポートとアップデートが含まれます。さらに、現在実施中のプロモーションに基づいて割引が適用される場合があります。弊社の製品スペシャリストに今すぐお問い合わせいただき、追加割引の対象となるかをご確認ください。
Syncfusion Angular Grid のデモはどこで入手できますか?
グリッドのレンダリングと構成方法を示す Angular Grid のデモをご覧いただけます。
Angular Grid と Angular Data Grid の違いは何ですか?
Angular Grid は基本的なテーブル実装 (table や *ngFor のようなもの) であるのに対し、Angular Data Grid (Syncfusion の Angular Grid のようなもの) は、複雑なデータ処理のためのソート、フィルタリング、仮想化、インライン編集などの高度な機能を提供します。Syncfusion のグリッドは、エンタープライズアプリケーションでの高性能とスケーラビリティを最適化しています。
Syncfusion Angular Grid コンポーネントを個別に購入できますか?
いいえ、弊社の 1,600+ 個の Web、モバイル、デスクトップ用コンポーネントおよびフレームワーク(Angular Data Grid を含む)は個別に販売されていません。チームライセンスの一部としてのみご利用いただけます。ただし、競合他社の Data Grid コンポーネント単体の価格をわずかに上回る程度に、競争力のある価格設定をしています。また、経験上、お客様は通常、弊社の製品のいずれかを使用し始め、すぐに複数の製品に拡張するため、チーム5人分の開発者で月額395ドルから始まるサブスクリプション料金で、1,600+ 個すべてのコンポーネントとフレームワークを提供することが最善であると考えました。さらに、現在実施中のプロモーションに基づいて割引を提供できる場合があります。弊社の製品スペシャリストに今すぐお問い合わせいただき、追加割引の対象となるかをご確認ください。
Syncfusion Angular Data Grid を無料でダウンロードして利用できますか?
いいえ、これは商用製品であり、有料ライセンスが必要です。ただし、年間総収入が100万米ドル未満で、開発者が5人以下の企業や個人組織向けに、無料のコミュニティライセンスも提供しています。
Syncfusion Angular Grid を始めるにはどうすればよいですか?
まず、包括的な 入門ドキュメントをご覧になるのが良いでしょう。
Angular Data Grid とは何ですか?
Angular Data Grid は、大規模なデータセットを効率的に表示および管理するために設計された高度なテーブルコンポーネントです。その機能には、ソート、フィルタリング、ページネーション、リアルタイム更新が含まれます。Syncfusion のようなライブラリは、Excel ライクな機能、サーバーサイド処理、シームレスな Angular 統合によってパフォーマンスを向上させます。
お客様は私たちを愛しています
受賞歴
偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。
Angular Data Grid のチュートリアルとブログの最近のアクティビティ
Angular Data Grid のチュートリアルビデオとブログ記事は、Angular コンポーネントを使用した最初のアプリの構築をガイドします。問題解決戦略を提供し、機能と機能性を説明し、新機能のリリースを発表し、ベストプラクティスを説明し、シナリオ例を紹介します。Angular Data Grid の更新については、ブログとチュートリアルビデオチャンネルで最新の投稿をご覧ください。


Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

React Data Gridは、データを表形式で表示するための機能豊富なグリッドコンポーネントです。その幅広い機能には、データバインディング、編集、Excelのようなフィルタリング、カスタムソート、行の集計、選択、およびExcel、CSV、PDF形式のサポートが含まれます。


Syncfusion React Data Gridを選ぶ理由

React Data Grid High Performance image

高性能

綿密な検討と努力により、数百万件のレコードを1秒で読み込む高速なパフォーマンスに重点を置いています。

React Data Grid Seamless Data Binding image

シームレスなデータバインディング

データマネージャーを使用して、JSON、OData、WCF、RESTfulWebサービスなどのさまざまなローカルおよびリモートデータソースとデータをシームレスに結合します。

React Data Grid Resolution image

あらゆる解像度に対応

DataGridは、デスクトップ、タッチスクリーン、スマートフォン向けに非常に応答性の高いレイアウトと最適化されたデザインを備えています。iOS、Android、Windows OSを使用するすべてのモバイルフォンでうまく機能します。

React Data Grid Flexible Editing image

柔軟な編集

React Data Gridは、データマネージャーの助けを借りて、ビジネスオブジェクトのリストやリモートデータサービスを使用して、作成、読み取り、更新、削除操作(CRUD)をより簡単に行います。

React Data Grid Template Designs image

独自のテンプレートデザインを作成

幅広いテンプレートオプションを使用して、アプリケーションのニーズに基づいたReact Gridでのカスタムユーザーエクスペリエンスの作成をユーザーに許可します。

React Data Grid Customizable Themes image

魅力的なカスタマイズ可能なテーマ

Fluent、Tailwind CSS、Bootstrap、Material、Fabricなど、5つ以上の組み込みテーマを備えた最先端のデザインです。オンラインのテーマスタジオツールを使用して、テーマを簡単にカスタマイズできます。

React Data Grid Export Print image

簡単なエクスポートと印刷

データグリッドをExcel、PDF、CSVなどのさまざまなファイル形式でエクスポートできます。表示されているページだけでなく、すべての行を印刷できます。

React Data Grid Global Local image

グローバル化とローカライズ

日付、通貨、および番号付けを好みに合わせてフォーマットすることで、異なるロケールのユーザーがそれらを使用できるようにします。


より高速なインサイトのためのAI対応DataGrid

当社のDataGridは、すぐにAI対応です。セマンティック検索、異常検出、または必要なその他のAI操作で簡単に拡張できます。高速な回答とスマートなデータ探索をすべて1つのグリッドで実現します。

  • セマンティック検索: お好みのNLPモデルを接続して、ユーザーが正確なキーワードを必要とせず、自然なフレーズでクエリを実行できるようにします。

  • セマンティック検索の追加方法
  • 異常検出: MLサービスを接続して、異常なトレンドやエラーを迅速に検出し、ビジネスを軌道に乗せます。

  • 異常検出の追加方法

React Data Grid Anomaly Detection image


React DataGridコード例

以下のTSXコードの数行で、React Data Gridを簡単に使い始めることができます。また、ReactでDataGridをレンダリングおよび設定する方法を示すReact DataGridの例もご覧ください。

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { GridComponent, ColumnsDirective, ColumnDirective } from '@syncfusion/ej2-react-grids';
import { orderDetails } from './data';
import { SampleBase } from '../common/sample-base';

export class Default extends SampleBase<{}, {}> {

  render() {
    return (
      <div className='control-pane'>
        <div className='control-section'>
          <GridComponent dataSource={orderDetails} height='350'>
            <ColumnsDirective>
              <ColumnDirective field='OrderID' headerText='注文ID' width='120' textAlign='Right'></ColumnDirective>
              <ColumnDirective field='CustomerName' headerText='顧客名' width='150'></ColumnDirective>
              <ColumnDirective field='OrderDate' headerText='注文日' width='130' format='yMd' textAlign='Right' />
              <ColumnDirective field='Freight' headerText='運賃' width='120' format='C2' textAlign='Right' />
              <ColumnDirective field='ShippedDate' headerText='出荷日' width='130' format='yMd' textAlign='Right'></ColumnDirective>
              <ColumnDirective field='ShipCountry' headerText='出荷国' width='150'></ColumnDirective>
            </ColumnsDirective>
          </GridComponent>
        </div>
      </div>
    )
  }
}


React Data Gridの編集。

編集

React DataGridコンポーネントは、作成、読み取り、更新、および削除操作(CRUD)をサポートしています。特定の列の値を編集するための組み込みエディターコンポーネントに加えて、アプリケーションのニーズに応じてテンプレートを使用してカスタムエディターコンポーネントを作成できます。データマネージャーの助けを借りて、配列コレクションまたはリモートデータサービスで編集操作を実行できます。


ソート

React DataGridで、ヘッダーをクリックするだけで、列に対して昇順または降順でソートできます。Ctrlキーを押しながらヘッダーをクリックすると、複数の列のデータをソートできます。さらに、アプリケーションのニーズに基づいて独自のカスタムソートロジックを定義できます。

React Data Gridのソート。


React Data Gridのフィルタリング。

フィルタリング

フィルタリングは、データグリッドで特定の基準を満たす特定のレコードまたは関連レコードを表示するのに役立ちます。データグリッドは、強力なExcelのようなフィルターを含むさまざまなフィルタータイプをサポートしています。適切なフィルタータイプを選択し、独自のカスタムフィルタリングロジックを定義し、アプリケーションのニーズに基づいてフィルタリングUIをカスタマイズします。分音記号付き文字もフィルタリングできます。


ページング

ページングは、割り当てられたデータソースからデータのセグメントを表示するために使用されます。React DataGridは、組み込みのページャーUIを提供し、そのUI全体をカスタマイズするオプションがあります。また、リモートWebサービスからの効果的なデータ取得のためのオンデマンドページングモードも備えています。

React Data Gridのページング。


React DataGridの選択。

選択

チェックボックスを使用するか、単にクリックするだけで、行またはセルを選択できます。Ctrl、Shift、またはCommandキーを押しながら、またはプログラムで複数の行またはセルを選択できます。


グループ化

レコードを階層的な構造に整理して表示するために行をグループ化し、レコードの展開と折りたたみを容易にします。インタラクティブなドロップ領域にその列をドラッグアンドドロップするだけで、目的の列のレコードをグループ化するオプションがあります。

React Data Gridのグループ化。


React Data Gridの集計。

集計

集計機能を使用して、列の値の集計を簡単に表示できます。集計は、個々のサマリー行、個々のグループサマリー行、またはグループキャプション行にその値を表示するようにカスタマイズできます。


は、React Data Gridのデータソースのスキーマを定義します。書式設定、列の自動生成、列の定義、行と列の固定、列のスパン、テキスト折り返し、列チューザー、列メニューなどの機能をサポートしています。

React DataGridの列。


React Data Grid Frozen Rows image

フリーズ行と列

固定された行と列は、上下左右または固定位置に表示され、残りのグリッドコンテンツはスクロール可能になります。この機能は主にセルの値を比較するために使用されます。


スティッキーヘッダー

ドキュメントを垂直方向にスクロールするときに、データグリッドのコンテンツと列ヘッダーを視覚化できるように、React Data Gridヘッダーは固定位置にある必要があります。

React Data Grid Sticky Header image


React Gridの行のドラッグ&ドロップ。

列のドラッグ&ドロップ

React Gridでは、ユーザーは行を別のDataGridまたはカスタムコンポーネントにドラッグアンドドロップできます。ユーザーは、ドラッグアイコンを使用して同じDataGrid内でドラッグアンドドロップすることも、異なるグループ間で転送することもできます。


マスター・ディテールグリッド

Reactマスター・ディテールグリッドは、レコードの詳細が特定の行をクリックして別のデータグリッドで表示されるユースケースシナリオです。

Reactマスター・ディテールグリッド。


React Data Grid Adaptive Ui image

適応型UIレイアウト

React Data Gridのユーザーインターフェースは、小画面での優れた表示と使いやすさのためにカスタマイズおよび再設計されています。フィルタ、ソート、検索、編集ダイアログは画面サイズに適応し、行要素を垂直方向にレンダリングします。


スケルトンローディングインジケーター

React Data Gridコントロールは、データのフェッチ中や、最初のレンダリング、更新、またはソート、フィルタリング、グループ化などのグリッドアクションの実行後にデータをグリッドにバインドする際に、ローディングインジケーターとしてシマー効果を表示します。データグリッドは、スピナーとシマーの2種類のローディングインジケーター効果を提供します。

React Data Gridのスケルトンローディングインジケーター。


React Data Gridのステート管理。

ステート管理

React Data Gridコンポーネントのステート管理機能により、ブラウザの更新後や同じブラウザセッション内で別のページに移動した後でも、グリッドの状態を維持できます。この機能は、ページのリロード後もグリッドの構成とデータを保持するのに特に役立ちます。


ライブアップデート

DataGridは、特定の時間間隔でセルのライブデータを更新します。これらの更新は、遅延や速度低下を引き起こすことなく行われ、システムが非常に応答性が高く効率的であることを保証します。

React DataGridによるライブアップデート。


React Grid With Charts image

データグリッドと統合されたチャート

Data Gridはチャートコンポーネントと統合され、選択されたグリッドデータを動的でインタラクティブな視覚化に変換します。テーブルとチャートのこの強力な組み合わせにより、ユーザーは一目でより明確な洞察を得ることができます。チャートの種類、軸、ビジュアルをカスタマイズします。


追加機能

行の高さがあるReact Data Grid。

行の高さ

行の高さは、ビューポートに表示されるレコード数にとって重要な要素であり、アプリケーションのUI要件に基づいて簡単にカスタマイズできます。条件付きで行の高さを設定することも可能です。

React Data Gridからクリップボードへコピー。

クリップボードにコピー

クリップボードを使用すると、選択した行またはセルからデータをコピーできます。Ctrl+Cキーの組み合わせはヘッダー付きで、Ctrl+Shift+Hキーの組み合わせはヘッダーなしでデータをコピーします。

React Data Gridのコンテキストメニュー。

コンテキストメニュー

セル、ヘッダー、またはページャーを右クリックすると表示されるポップアップメニューを使用して、Data Gridでさまざまなアクションを実行します。組み込みのデフォルトメニュー項目に加えて、カスタムのコンテキストメニュー項目を追加できます。

React Data Gridの幅と高さ。

幅と高さ

データグリッドのサイズを変更するには、幅と高さのプロパティを設定します。コンテンツがグリッド要素からはみ出すと、水平方向および垂直方向のスクロールバーが表示されます。データグリッドの親コンテナを埋めるには、高さと幅を100%に設定します。

積み重ねられたヘッダーを持つReact DataGrid。

積み重ねられたヘッダー

積み重ねられたヘッダーにより、列ヘッダーを積み重ねた方法でグループ化および視覚化できます。積み重ねることができる列の数に制限はありません。列が積み重ねられていても、すべてのData Gridアクションを実行できます。


アクセシビリティ

React Data Gridのキーボードナビゲーション。

キーボードナビゲーション

React Data Gridは、キーボードを使用してすべてのセルにアクセスできることを保証します。ソート、選択、編集などの主要な機能は、キーボードコマンドのみで実行でき、マウス操作は不要です。これにより、このコンポーネントを使用して非常にアクセスしやすいアプリケーションを作成できます。

React Data Gridのアクセシビリティとスクリーンリーダーのサポート。

スクリーンリーダー

React Data Gridビューは、完全なWAI-ARIAアクセシビリティサポートを備えています。そのUIには、視覚障害のある人々が最高の視聴体験を得るのに役立つ高コントラストの視覚要素が含まれています。また、有効なUIの説明は、スクリーンリーダーなどの支援技術を通じて簡単にアクセスできます。

React Data Gridで右から左への言語を表示。

右から左(RTL)

右から左へのレンダリングは、Data Gridのテキストとレイアウトを右から左へ表示することを可能にします。これにより、RTL言語のユーザーエクスペリエンスとアクセシビリティが向上します。


モバイルに最適化され、タッチフレンドリー

ReactのDataGridは、デスクトップ、タッチスクリーン、スマートフォン向けに非常に応答性の高いレイアウトと最適化された設計を備えています。iOS、Android、Windows 8 OSを使用するすべてのモバイルフォンでうまく機能します。

React Data Gridのタッチサポート。

タッチサポート

ユーザーフレンドリーなタッチジェスチャーとインタラクティブなUIデザインは、最高のユーザーエクスペリエンスを提供します。すべてのReact Grid機能は、ゼロ構成でタッチデバイスで動作します。

React Data Gridの応答性の高いページャーUI。

応答性の高いページャー

React DataGridページャーは、その寸法に基づいてUI全体を応答的に変更し、インテリジェントに動作します。その最適化された設計は、さまざまなデバイスで最高のUIインタラクションを提供します。






その他の主要な対応フレームワーク

Reactに加えて、これらの主要なフレームワークに対する組み込み統合が利用可能です。

Syncfusionの完全なReactコンポーネントエコシステムを発見しよう

確立された本番環境対応のコントロールと、モダンなウェブアプリ開発のためにネイティブに構築された最新の純粋なReactコンポーネントを特徴とする、150+以上のReact UIコンポーネントをご覧ください。

  • Reactコンポーネント
  • 純粋なReactコンポーネント

よくある質問

Syncfusion React DataGridは以下の機能を提供します。

React DataGridは個別に販売しておりません。Syncfusionチームライセンスの一部としてのみ販売しております。これには、React DataGridを含む1,600以上のコンポーネントとフレームワークが含まれています。チームライセンスの価格は、5人開発者で月額$395から始まり、サブスクリプションの有効期限までサポートとアップデートが含まれます。さらに、現在実施されているプロモーションに基づいて割引を提供できる場合があります。追加の割引が適用されるかどうかを確認するには、今すぐ当社の製品スペシャリストにお問い合わせください。

React Data Gridのデモでは、Data Gridのレンダリング方法と設定方法が示されています。

React Data Gridは、ソートフィルタリングページネーション編集などの機能を使って表形式データを表示および操作できるUIコンポーネントです。大規模なデータセットを効率的に処理し、エクスポートおよび印刷のオプションを提供します。

フィルタリング機能を使用するには、Filterモジュールをグリッドに注入します。Syncfusion React Gridでフィルタリングを有効にするには、allowFilteringプロパティをtrueに設定します。これにより、列ヘッダーの下にフィルターバーがレンダリングされ、ユーザーはフィルター条件を入力できます。グリッドは、filterSettings.typeプロパティを介して設定可能な複数のフィルタリングモードを提供します。

Gridは、ページング仮想スクロール、および無限スクロール機能を使用することで、大規模なデータセットを処理できます。

グリッド内で直接編集機能を有効にするには、editSettings内のallowEditingallowAdding、およびallowDeletingプロパティをtrueに設定する必要があります。編集には、CRUD操作用のプライマリキー列が必要です。プライマリキーを定義するには、特定の列のisPrimaryKeyをtrueに設定します。

いいえ、React DataGridを含む当社の1,600+コンポーネントやWeb、モバイル、デスクトップ向けのフレームワークは個別に販売されていません。チームライセンスの一部としてのみ利用可能です。しかし、当社は競争力のある価格を設定しており、他のベンダーがDataGridコンポーネント単独で請求する料金よりも少しだけ高くなっています。また、当社の経験上、お客様は通常、当社の製品の1つを使用し始め、すぐに複数の製品に拡大するため、すべての1,600+コンポーネントとフレームワークを、5人の開発者チームで月額395ドルから始まるサブスクリプション料金で提供するのが最善だと感じました。さらに、現在実施されているプロモーションに基づいて割引を提供できる場合があります。追加の割引が適用されるかどうかを確認するには、今すぐ当社の製品スペシャリストにお問い合わせください。

いいえ、これは商用製品であり、有料ライセンスが必要です。ただし、年間総収益が100万米ドル未満、開発者が5人以下、従業員が10人以下の組織の企業および個人向けに無料のコミュニティライセンスも利用できます。

当社の総合的な入門ドキュメントから始めるのが良いでしょう。

React Gridは、ソートフィルタリングページネーション編集集計グループ化、Excel/PDFへのエクスポート、列のリサイズ仮想化などの機能を提供します。

Syncfusion React Gridでソートを有効にするには、次の手順に従います。1. Sortモジュールがインポートされ、Gridコンポーネントに注入されていることを確認します。2. ソートをアクティブにするには、allowSortingプロパティをtrueに設定します。3. sortSettingsプロパティを使用して、初期ソート構成を定義したり、ソート動作をカスタマイズしたりします。

Syncfusion React Gridは、WebSocketおよびSignalRとの統合を通じてリアルタイムデータを処理し、動的な更新とシームレスなユーザーエクスペリエンスを可能にします。

グリッドは、Syncfusionの組み込みデータアダプタを有効にするか、カスタムデータバインディングの概念を使用することで、サーバーサイドのページネーションを処理します。

お客様は私たちを愛しています

優れたツール群と充実したサポートチームにより、Syncfusion® はお客様の開発時間を短縮します。
お客様の体験談の一部をご紹介します。

実際の成功事例を見る

世界中の開発者が複雑なプロジェクトを簡素化し、納期を短縮するために Syncfusion の Essential Studio を信頼しています。豊富な UI コントロール ライブラリ、強力な SDK、信頼できるサポートにより、Essential Studio はチームがエンタープライズ対応のアプリケーションを自信を持って構築できるよう支援します。

ケーススタディを探る


世界中のユーザーからの評価

無料評価バージョンをダウンロードしてアプリケーションを変革しましょう
無料トライアルのダウンロード クレジットカード不要。

受賞歴

偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。

React DataGridのブログとチュートリアルにおける最近のアクティビティ

React DataGridのブログとチュートリアルビデオは、Reactコンポーネントで最初のアプリを構築するのに役立ちます。問題解決戦略を提供し、機能と機能について説明し、新機能のリリースを発表し、ベストプラクティスを説明し、ユースケースの例を紹介します。React DataGridの最新情報を当社のブログとチュートリアルビデオチャンネルでご覧ください。

Up arrow icon